Page MenuHomePhabricator

Change placeholder and infotext for "Exactly this text"
Closed, ResolvedPublic1 Story Points

Description

Motivation
Currently the placeholder text in "exactly this text" is too long and gets cut off in some translations. After consulting with @Mooeypoo
and @Volker_E in this T180493 ticket it was suggested to generally not have long placeholders but transfer this information into the info icon.

Task
Change the placeholder text and info i text for "exactly this text" as indicated in the mocks.


!TEXT IN RED IS TO BETTER SHOW WHERE CHANGES WERE MADE. NOT FOR TRANSFER TO UI!

TEXT FOR COPYING:

Exactly this text:

Description
Searches for a specific sequence of characters. Punctuation marks are ignored.
Be aware of the following

  • Search is not case-sensitive.
  • Punctuation marks and other non-alphanumeric characters (with exception of the colon and comma) will be ignored.
  • Word stemming is not applied.
  • Separate the search phrases by comma and space e.g. "good morning", "hello friend!".

Help page
Words, phrases, and modifiers
Syntax-equivalent in the normal search
Words in quotation marks, for example "Begin at the beginning".

Acceptance Criteria:

  • The placeholder for "exactly this text" is now "cat loves goat".
  • The text in the infotext i has been updated to also contain the "red" text as indicated in the mock. The text should not actually be red in the end.

Event Timeline

Restricted Application added projects: TCB-Team, Design. · View Herald TranscriptMar 10 2018, 3:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE set the point value for this task to 1.Mar 14 2018, 1:22 PM

Change 425037 had a related patch set uploaded (by Ebba Aniansson; owner: Ebba Aniansson):
[mediawiki/extensions/AdvancedSearch@master] Change placeholder and infotext

https://gerrit.wikimedia.org/r/425037

Change 425037 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Change placeholder and infotext

https://gerrit.wikimedia.org/r/425037

Deployed to test server.

Tonina_Zhelyazkova_WMDE removed aniansson as the assignee of this task.Apr 10 2018, 4:27 PM
Tonina_Zhelyazkova_WMDE added a subscriber: aniansson.

Sorry that I did not raise this earlier (I just assumed that this was about making the text more readable), but the description is slightly wrong/more complex. As it is now, the word stemming is applied, if you don't put the words/phrases in quotes.

@gabriel-wmde thanks for the input! @Charlie_WMDE can you think of a better text to use instead?

@Lea_WMDE and everyone, I talked to Gabriel last week and we decided that a clarifying sentence at the beginning, stating that the following statements are only valid if the first one is give, would solve the problem. This sentence is a bit cryptic so it's best to look at the mock:

as before, red text is just so the changes can be seen quicker. The end result should not contain any red text. The text outside of the frame is also not meant as part of the end result.

Change 426919 had a related patch set uploaded (by Ebba Aniansson; owner: Ebba Aniansson):
[mediawiki/extensions/AdvancedSearch@master] Make another modification to the placeholder and infotext.

https://gerrit.wikimedia.org/r/426919

@Charlie_WMDE The comma between "good morning" and "hello friend!" had me and Gabriel confused :) Is there a reason to put it in the code block of "good morning"?
Also, we suggest to drop the comma (from the explanation as well) and just have "good morning" "hello friend!" in the same code block because either way the comma is stripped when the search is conducted.
If this sounds unclear I offer a verbal + visual explanation any time :D

@Tonina_Zhelyazkova_WMDE you're right, the comma should not be in the gray blob and it wasn't in the mock in the description so it must have snuck in while i was moving things around. The comma is also entirely unnecessary, that's true but people naturally tend to separate lists with commas thus i think it's best to keep the comma in the infotext.

BUT there is another mistake in the text. it should be "separate by comma or space" and not "and". Could you fix that too? Thanks!

Change 426919 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Make another modification to the placeholder and infotext.

https://gerrit.wikimedia.org/r/426919

Lea_WMDE triaged this task as Normal priority.Apr 18 2018, 1:19 PM
Lea_WMDE moved this task from Todo to Deploy to Test on the WMDE-FUN-Sprint-2018-04-18 board.
Tobi_WMDE_SW moved this task from Backlog to Doing on the User-aniansson board.
aniansson moved this task from Doing to Completed on the User-aniansson board.May 3 2018, 8:08 AM
Lea_WMDE closed this task as Resolved.May 30 2018, 10:34 AM